STRCMP(3)

NAME
strcmp, strncmp - compare strings

LIBRARY
libc

SYNOPSIS
#include <string.h>
int
strcmp(const char *s1, const char *s2);
int
strncmp(const char *s1, const char *s2, size_t len);

DESCRIPTION
The strcmp() and strncmp() functions lexicographically compare the nul-terminated strings s1 and s2.

RETURN VALUES
The strcmp() and strncmp() return an integer greater than, equal to, or less than 0, according to whether the string s1 is greater than, equal to, or less than the string s2. The comparison is done using unsigned characters, so that ‘\200’ is greater than ‘\0’.

The strncmp() compares not more than len characters.

SEE ALSO
bcmp(3), memcmp(3), strcasecmp(3), strcoll(3), strxfrm(3)

STANDARDS
The strcmp() and strncmp() functions conform to ansiC.

NOTES
If len is zero strncmp() returns always 0.